POST api/NTMedical/PostVitalSign
Request Information
URI Parameters
None.
Body Parameters
MedicalVitalSignDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| MedicalId | integer |
None. |
|
| ReportedDateTime | date |
None. |
|
| ReportedTime | time interval |
None. |
|
| CustomReportedTime | string |
String length: inclusive between 0 and 50 |
|
| SystolicBP | decimal number |
None. |
|
| DiastolicBP | decimal number |
None. |
|
| HR | decimal number |
None. |
|
| RR | decimal number |
None. |
|
| PulseOx | decimal number |
None. |
|
| Temp | decimal number |
None. |
|
| BG | decimal number |
None. |
|
| TempUnit | string |
String length: inclusive between 0 and 50 |
|
| VitalCategory | string |
String length: inclusive between 0 and 400 |
|
| Position | string |
None. |
|
| PositionId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"MedicalId": 2,
"ReportedDateTime": "2026-08-04T14:26:39.6514173-07:00",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 5",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"VitalCategory": "sample string 7",
"Position": "sample string 8",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:39.6514173-07:00",
"DateUpdated": "2026-08-04T14:26:39.6514173-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMedicalVitalSignDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MedicalVitalSignDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"MedicalId": 2,
"ReportedDateTime": "2026-08-04T14:26:39.6514173-07:00",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 5",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"VitalCategory": "sample string 7",
"Position": "sample string 8",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:39.6514173-07:00",
"DateUpdated": "2026-08-04T14:26:39.6514173-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
"totalCount": 3
}